Name: x11-driver-input-mouse
Version: 1.2.2
Release: %mkrel 2
Summary: Xorg input driver for mice
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.bz2
# open mouse twice to workaround a bug in the kernel when dealing
# with a PS/2 mouse and an USB keuboard
Patch0: x11-driver-input-mouse-twice.patch 
Patch1: 0001-DontDisable3ButtonEmulation.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
This package provide Xorg input driver for mice.

%prep
%setup -q -n xf86-input-mouse-%{version}
%patch0 -p1 -b .mouse-twice
%patch1 -p1 -b .dont-disable-3-button-emulation

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_mandir}/man4/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/mouse_drv.la
%{_libdir}/xorg/modules/input/mouse_drv.so
#%{_mandir}/man4/mouse.*




%changelog
* Mon Sep 10 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-2mdv2008.0
+ Revision: 84259
- This should fix Bugzilla #33033 as with the added patch it should never
  disable 3 button emulation if a 2 button mouse is detected, as it can be
  due to a mouse being plugged/unplugged.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Wed Aug 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2008.0
+ Revision: 57748
- new release


* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-1mdv2007.0
+ Revision: 89744
- new release

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 85915
- new release
- fix group
- fill in more missing descriptions

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - new upstream release (1.1.1):
      * Overhaul of wheel processing. Does work correctly with multibit
      zaxis events now. Autodetect (one way only) single wheel only for
      EXPS2. Use singlebit protocol for multiwheel EXPS2 mice.
      * Fixed manpage and default ZAxisMapping configuration.
    - added patch: open mouse twice to workaround a bug in the kernel when dealing
      with a PS/2 mouse and an USB keuboard
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

